[arch-commits] Commit in harfbuzz/repos (8 files)
Jan Steffens
heftig at archlinux.org
Thu Oct 15 23:45:38 UTC 2015
Date: Friday, October 16, 2015 @ 01:45:37
Author: heftig
Revision: 249429
archrelease: copy trunk to extra-i686, extra-x86_64
Added:
harfbuzz/repos/extra-i686/PKGBUILD
(from rev 249428, harfbuzz/trunk/PKGBUILD)
harfbuzz/repos/extra-x86_64/PKGBUILD
(from rev 249428, harfbuzz/trunk/PKGBUILD)
Deleted:
harfbuzz/repos/extra-i686/PKGBUILD
harfbuzz/repos/extra-i686/crash.patch
harfbuzz/repos/extra-i686/hmtx.patch
harfbuzz/repos/extra-x86_64/PKGBUILD
harfbuzz/repos/extra-x86_64/crash.patch
harfbuzz/repos/extra-x86_64/hmtx.patch
--------------------------+
/PKGBUILD | 116 +++++++++++++++++++++++++++++++++++++++++++++
extra-i686/PKGBUILD | 63 ------------------------
extra-i686/crash.patch | 13 -----
extra-i686/hmtx.patch | 25 ---------
extra-x86_64/PKGBUILD | 63 ------------------------
extra-x86_64/crash.patch | 13 -----
extra-x86_64/hmtx.patch | 25 ---------
7 files changed, 116 insertions(+), 202 deletions(-)
Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD 2015-10-15 23:44:51 UTC (rev 249428)
+++ extra-i686/PKGBUILD 2015-10-15 23:45:37 UTC (rev 249429)
@@ -1,63 +0,0 @@
-# $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgbase=(harfbuzz)
-pkgname=(harfbuzz harfbuzz-icu)
-pkgver=1.0.5
-pkgrel=2
-pkgdesc="OpenType text shaping engine"
-arch=(i686 x86_64)
-url="http://www.freedesktop.org/wiki/Software/HarfBuzz"
-license=(MIT)
-makedepends=(glib2 freetype2 graphite cairo icu gobject-introspection)
-source=(http://www.freedesktop.org/software/harfbuzz/release/${pkgbase}-${pkgver}.tar.bz2
- hmtx.patch crash.patch)
-sha256sums=('4d99d2c6a58ecb55538ccab522e68836383852f9f41f696d2b93cd8f85195440'
- '703249e3ecfcbf2d449e9cf1eacbfd5627cb8f8943af27637a612a36b05a1d10'
- '0016e865744feaac97130aa54f755cbc6ebecd75d4d21bc823eb7454d1c16972')
-
-prepare() {
- mkdir path
- ln -s /usr/bin/python2 path/python
-
- cd $pkgbase-$pkgver
- patch -Np1 -i ../hmtx.patch
- patch -Np1 -i ../crash.patch
-}
-
-build() {
- cd $pkgbase-$pkgver
- ./configure --prefix=/usr \
- --with-glib --with-freetype --with-cairo --with-icu --with-graphite2 \
- --with-gobject
- make
-}
-
-check() {
- cd $pkgbase-$pkgver
- PATH="$srcdir/path:$PATH" make -k check
-}
-
-package_harfbuzz() {
- depends=(glib2 freetype2 graphite)
- optdepends=('cairo: hb-view program')
-
- cd $pkgbase-$pkgver
- make DESTDIR="$pkgdir" install
- install -Dm644 COPYING "$pkgdir/usr/share/licenses/harfbuzz/COPYING"
-
-# Split harfbuzz-icu
- mkdir -p ../hb-icu/usr/{include/harfbuzz,lib/pkgconfig}; cd ../hb-icu
- mv "$pkgdir"/usr/lib/libharfbuzz-icu* ./usr/lib
- mv "$pkgdir"/usr/lib/pkgconfig/harfbuzz-icu.pc ./usr/lib/pkgconfig
- mv "$pkgdir"/usr/include/harfbuzz/hb-icu.h ./usr/include/harfbuzz
-}
-
-package_harfbuzz-icu(){
- pkgdesc="$pkgdesc (ICU integration)"
- depends=(harfbuzz icu)
-
- mv hb-icu/* "$pkgdir"
-
- install -Dm644 $pkgbase-$pkgver/COPYING "$pkgdir/usr/share/licenses/harfbuzz-icu/COPYING"
-}
Copied: harfbuzz/repos/extra-i686/PKGBUILD (from rev 249428, harfbuzz/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD (rev 0)
+++ extra-i686/PKGBUILD 2015-10-15 23:45:37 UTC (rev 249429)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=(harfbuzz)
+pkgname=(harfbuzz harfbuzz-icu)
+pkgver=1.0.6
+pkgrel=1
+pkgdesc="OpenType text shaping engine"
+arch=(i686 x86_64)
+url="http://www.freedesktop.org/wiki/Software/HarfBuzz"
+license=(MIT)
+makedepends=(glib2 freetype2 graphite cairo icu gobject-introspection)
+source=(http://www.freedesktop.org/software/harfbuzz/release/${pkgbase}-${pkgver}.tar.bz2)
+sha256sums=('f616a7fbdc78a627043f9029000bf08c0c71df59cde4143fc92a014f6a993b26')
+
+prepare() {
+ mkdir path
+ ln -s /usr/bin/python2 path/python
+
+ cd $pkgbase-$pkgver
+}
+
+build() {
+ cd $pkgbase-$pkgver
+ ./configure --prefix=/usr \
+ --with-glib --with-freetype --with-cairo --with-icu --with-graphite2 \
+ --with-gobject
+ make
+}
+
+check() {
+ cd $pkgbase-$pkgver
+ PATH="$srcdir/path:$PATH" make -k check || :
+}
+
+package_harfbuzz() {
+ depends=(glib2 freetype2 graphite)
+ optdepends=('cairo: hb-view program')
+
+ cd $pkgbase-$pkgver
+ make DESTDIR="$pkgdir" install
+ install -Dm644 COPYING "$pkgdir/usr/share/licenses/harfbuzz/COPYING"
+
+# Split harfbuzz-icu
+ mkdir -p ../hb-icu/usr/{include/harfbuzz,lib/pkgconfig}; cd ../hb-icu
+ mv "$pkgdir"/usr/lib/libharfbuzz-icu* ./usr/lib
+ mv "$pkgdir"/usr/lib/pkgconfig/harfbuzz-icu.pc ./usr/lib/pkgconfig
+ mv "$pkgdir"/usr/include/harfbuzz/hb-icu.h ./usr/include/harfbuzz
+}
+
+package_harfbuzz-icu(){
+ pkgdesc="$pkgdesc (ICU integration)"
+ depends=(harfbuzz icu)
+
+ mv hb-icu/* "$pkgdir"
+
+ install -Dm644 $pkgbase-$pkgver/COPYING "$pkgdir/usr/share/licenses/harfbuzz-icu/COPYING"
+}
Deleted: extra-i686/crash.patch
===================================================================
--- extra-i686/crash.patch 2015-10-15 23:44:51 UTC (rev 249428)
+++ extra-i686/crash.patch 2015-10-15 23:45:37 UTC (rev 249429)
@@ -1,13 +0,0 @@
-diff --git i/src/hb-ft.cc w/src/hb-ft.cc
-index b695f81..2b11882 100644
---- i/src/hb-ft.cc
-+++ w/src/hb-ft.cc
-@@ -84,7 +84,7 @@ _hb_ft_font_create (FT_Face ft_face, bool unref)
- ft_font->ft_face = ft_face;
- ft_font->unref = unref;
-
-- ft_font->load_flags = FT_LOAD_DEFAULT;
-+ ft_font->load_flags = FT_LOAD_DEFAULT | FT_LOAD_NO_HINTING;
-
- return ft_font;
- }
Deleted: extra-i686/hmtx.patch
===================================================================
--- extra-i686/hmtx.patch 2015-10-15 23:44:51 UTC (rev 249428)
+++ extra-i686/hmtx.patch 2015-10-15 23:45:37 UTC (rev 249429)
@@ -1,25 +0,0 @@
-From 63ef0b41dc48d6112d1918c1b1de9de8ea90adb5 Mon Sep 17 00:00:00 2001
-From: Behdad Esfahbod <behdad at behdad.org>
-Date: Thu, 15 Oct 2015 12:47:22 -0300
-Subject: [ot-font] Fix hmtx wrong table length check
-
-Discovered by libFuzzer. Ouch!
-
-https://github.com/behdad/harfbuzz/issues/139#issuecomment-148289957
-
-diff --git a/src/hb-ot-font.cc b/src/hb-ot-font.cc
-index 3102784..69d2503 100644
---- a/src/hb-ot-font.cc
-+++ b/src/hb-ot-font.cc
-@@ -59,7 +59,7 @@ struct hb_ot_face_metrics_accelerator_t
-
- this->blob = OT::Sanitizer<OT::_mtx>::sanitize (face->reference_table (_mtx_tag));
- if (unlikely (!this->num_advances ||
-- 2 * (this->num_advances + this->num_metrics) < hb_blob_get_length (this->blob)))
-+ 2 * (this->num_advances + this->num_metrics) > hb_blob_get_length (this->blob)))
- {
- this->num_metrics = this->num_advances = 0;
- hb_blob_destroy (this->blob);
---
-cgit v0.10.2
-
Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD 2015-10-15 23:44:51 UTC (rev 249428)
+++ extra-x86_64/PKGBUILD 2015-10-15 23:45:37 UTC (rev 249429)
@@ -1,63 +0,0 @@
-# $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgbase=(harfbuzz)
-pkgname=(harfbuzz harfbuzz-icu)
-pkgver=1.0.5
-pkgrel=2
-pkgdesc="OpenType text shaping engine"
-arch=(i686 x86_64)
-url="http://www.freedesktop.org/wiki/Software/HarfBuzz"
-license=(MIT)
-makedepends=(glib2 freetype2 graphite cairo icu gobject-introspection)
-source=(http://www.freedesktop.org/software/harfbuzz/release/${pkgbase}-${pkgver}.tar.bz2
- hmtx.patch crash.patch)
-sha256sums=('4d99d2c6a58ecb55538ccab522e68836383852f9f41f696d2b93cd8f85195440'
- '703249e3ecfcbf2d449e9cf1eacbfd5627cb8f8943af27637a612a36b05a1d10'
- '0016e865744feaac97130aa54f755cbc6ebecd75d4d21bc823eb7454d1c16972')
-
-prepare() {
- mkdir path
- ln -s /usr/bin/python2 path/python
-
- cd $pkgbase-$pkgver
- patch -Np1 -i ../hmtx.patch
- patch -Np1 -i ../crash.patch
-}
-
-build() {
- cd $pkgbase-$pkgver
- ./configure --prefix=/usr \
- --with-glib --with-freetype --with-cairo --with-icu --with-graphite2 \
- --with-gobject
- make
-}
-
-check() {
- cd $pkgbase-$pkgver
- PATH="$srcdir/path:$PATH" make -k check
-}
-
-package_harfbuzz() {
- depends=(glib2 freetype2 graphite)
- optdepends=('cairo: hb-view program')
-
- cd $pkgbase-$pkgver
- make DESTDIR="$pkgdir" install
- install -Dm644 COPYING "$pkgdir/usr/share/licenses/harfbuzz/COPYING"
-
-# Split harfbuzz-icu
- mkdir -p ../hb-icu/usr/{include/harfbuzz,lib/pkgconfig}; cd ../hb-icu
- mv "$pkgdir"/usr/lib/libharfbuzz-icu* ./usr/lib
- mv "$pkgdir"/usr/lib/pkgconfig/harfbuzz-icu.pc ./usr/lib/pkgconfig
- mv "$pkgdir"/usr/include/harfbuzz/hb-icu.h ./usr/include/harfbuzz
-}
-
-package_harfbuzz-icu(){
- pkgdesc="$pkgdesc (ICU integration)"
- depends=(harfbuzz icu)
-
- mv hb-icu/* "$pkgdir"
-
- install -Dm644 $pkgbase-$pkgver/COPYING "$pkgdir/usr/share/licenses/harfbuzz-icu/COPYING"
-}
Copied: harfbuzz/repos/extra-x86_64/PKGBUILD (from rev 249428, harfbuzz/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD (rev 0)
+++ extra-x86_64/PKGBUILD 2015-10-15 23:45:37 UTC (rev 249429)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=(harfbuzz)
+pkgname=(harfbuzz harfbuzz-icu)
+pkgver=1.0.6
+pkgrel=1
+pkgdesc="OpenType text shaping engine"
+arch=(i686 x86_64)
+url="http://www.freedesktop.org/wiki/Software/HarfBuzz"
+license=(MIT)
+makedepends=(glib2 freetype2 graphite cairo icu gobject-introspection)
+source=(http://www.freedesktop.org/software/harfbuzz/release/${pkgbase}-${pkgver}.tar.bz2)
+sha256sums=('f616a7fbdc78a627043f9029000bf08c0c71df59cde4143fc92a014f6a993b26')
+
+prepare() {
+ mkdir path
+ ln -s /usr/bin/python2 path/python
+
+ cd $pkgbase-$pkgver
+}
+
+build() {
+ cd $pkgbase-$pkgver
+ ./configure --prefix=/usr \
+ --with-glib --with-freetype --with-cairo --with-icu --with-graphite2 \
+ --with-gobject
+ make
+}
+
+check() {
+ cd $pkgbase-$pkgver
+ PATH="$srcdir/path:$PATH" make -k check || :
+}
+
+package_harfbuzz() {
+ depends=(glib2 freetype2 graphite)
+ optdepends=('cairo: hb-view program')
+
+ cd $pkgbase-$pkgver
+ make DESTDIR="$pkgdir" install
+ install -Dm644 COPYING "$pkgdir/usr/share/licenses/harfbuzz/COPYING"
+
+# Split harfbuzz-icu
+ mkdir -p ../hb-icu/usr/{include/harfbuzz,lib/pkgconfig}; cd ../hb-icu
+ mv "$pkgdir"/usr/lib/libharfbuzz-icu* ./usr/lib
+ mv "$pkgdir"/usr/lib/pkgconfig/harfbuzz-icu.pc ./usr/lib/pkgconfig
+ mv "$pkgdir"/usr/include/harfbuzz/hb-icu.h ./usr/include/harfbuzz
+}
+
+package_harfbuzz-icu(){
+ pkgdesc="$pkgdesc (ICU integration)"
+ depends=(harfbuzz icu)
+
+ mv hb-icu/* "$pkgdir"
+
+ install -Dm644 $pkgbase-$pkgver/COPYING "$pkgdir/usr/share/licenses/harfbuzz-icu/COPYING"
+}
Deleted: extra-x86_64/crash.patch
===================================================================
--- extra-x86_64/crash.patch 2015-10-15 23:44:51 UTC (rev 249428)
+++ extra-x86_64/crash.patch 2015-10-15 23:45:37 UTC (rev 249429)
@@ -1,13 +0,0 @@
-diff --git i/src/hb-ft.cc w/src/hb-ft.cc
-index b695f81..2b11882 100644
---- i/src/hb-ft.cc
-+++ w/src/hb-ft.cc
-@@ -84,7 +84,7 @@ _hb_ft_font_create (FT_Face ft_face, bool unref)
- ft_font->ft_face = ft_face;
- ft_font->unref = unref;
-
-- ft_font->load_flags = FT_LOAD_DEFAULT;
-+ ft_font->load_flags = FT_LOAD_DEFAULT | FT_LOAD_NO_HINTING;
-
- return ft_font;
- }
Deleted: extra-x86_64/hmtx.patch
===================================================================
--- extra-x86_64/hmtx.patch 2015-10-15 23:44:51 UTC (rev 249428)
+++ extra-x86_64/hmtx.patch 2015-10-15 23:45:37 UTC (rev 249429)
@@ -1,25 +0,0 @@
-From 63ef0b41dc48d6112d1918c1b1de9de8ea90adb5 Mon Sep 17 00:00:00 2001
-From: Behdad Esfahbod <behdad at behdad.org>
-Date: Thu, 15 Oct 2015 12:47:22 -0300
-Subject: [ot-font] Fix hmtx wrong table length check
-
-Discovered by libFuzzer. Ouch!
-
-https://github.com/behdad/harfbuzz/issues/139#issuecomment-148289957
-
-diff --git a/src/hb-ot-font.cc b/src/hb-ot-font.cc
-index 3102784..69d2503 100644
---- a/src/hb-ot-font.cc
-+++ b/src/hb-ot-font.cc
-@@ -59,7 +59,7 @@ struct hb_ot_face_metrics_accelerator_t
-
- this->blob = OT::Sanitizer<OT::_mtx>::sanitize (face->reference_table (_mtx_tag));
- if (unlikely (!this->num_advances ||
-- 2 * (this->num_advances + this->num_metrics) < hb_blob_get_length (this->blob)))
-+ 2 * (this->num_advances + this->num_metrics) > hb_blob_get_length (this->blob)))
- {
- this->num_metrics = this->num_advances = 0;
- hb_blob_destroy (this->blob);
---
-cgit v0.10.2
-
More information about the arch-commits
mailing list